#!/bin/sh

FILE_RADIUSSERVER_PKG_INFO=/var/packages/RadiusServer/INFO
FILE_RADIUSSERVER_PKG_ENABLE=/var/packages/RadiusServer/enabled

RADIUSSERVER_SCRIPT=/var/packages/RadiusServer/target/syno_bin/RadiusServer.sh

PackageInfoGet() {
	if [ -f "${FILE_RADIUSSERVER_PKG_INFO}" ]; then
		RADIUSSERVER_PKG_NAME=`/bin/get_key_value ${FILE_RADIUSSERVER_PKG_INFO} package`
		RADIUSSERVER_PKG_VERSION=`/bin/get_key_value ${FILE_RADIUSSERVER_PKG_INFO} version`
		RADIUSSERVER_PKG_VENDOR=`/bin/get_key_value ${FILE_RADIUSSERVER_PKG_INFO} maintainer`
		RADIUSSERVER_PKG_MODVER=`/bin/get_key_value ${FILE_RADIUSSERVER_PKG_INFO} sdkmodversion`
	else
		echo "RadiusServer package info file does not exist";
		exit 1;
	fi
}

PackageEnableGet() {
	if [ -f "${FILE_RADIUSSERVER_PKG_ENABLE}" ]; then
		return 1;
	else
		return 0;
	fi
}

RadiusServerRestart() {
	${RADIUSSERVER_SCRIPT} restart
	return $?
}

RadiusServerReload() {
	${RADIUSSERVER_SCRIPT} reload
	return $?
}

RadiusServerUseLocal() {
	${RADIUSSERVER_SCRIPT} uselocal
	return $?
}

